#!/bin/bash

match=$(date +"%a" | tr '[:upper:]' '[:lower:]' | sed 's/mon/lunedì/;s/tue/martedì/;s/wed/mercoledì/;s/thu/giovedì/;s/fri/venerdì/;s/sat/sabato/;s/sun/domenica/')

case $1 in
    -g|--gattini)
	match="gatto\|gattin\|micett"
	;;
    --caffe)
	match="caffè"
	;;
    --glitter)
	match="glitter"
	;;
    --random)
	match="uploads"
	;;
    *)
	;;
esac

curl -s  "http://immaginibuongiorno.it" |  sed 's/\/>/\/>\n/g' | grep -i "$match" | grep -v "shaken" | grep -oP "(?<=src=\").*(?=\")" | cut -d '"' -f 1 | shuf -n 1
